Languages and Scripting
Showing results for 
Search instead for 
Do you mean 

Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

Highlighted
Occasional Advisor

Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

I should first say I am not a programmer - I just want to get a perl module installed! I have a server running 11iv1 (old I know) with the latest perl 5.8.8 (build 822). However, when I try to install a perl module (eg Net-SSH-0.08) I get an error during the "make test" as follows:
munch:/home/mbridget/.cpan/build/Net-SSH-0.08-LZSnsC=> /opt/make/bin/gmake
Manifying blib/man3/Net::SSH.3
munch:/home/mbridget/.cpan/build/Net-SSH-0.08-LZSnsC=> /opt/make/bin/gmake test
PERL_DL_NONLAZY=1 /opt/perl_64/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
1..1
/usr/lib/pa20_64/dld.sl: Unsatisfied code symbol 'dladdr' in load module '/opt/perl_64/lib/5.8.8/PA-RISC2.0-thread-multi-LP64/auto/POSIX/POSIX.sl'.
Can't load '/opt/perl_64/lib/5.8.8/PA-RISC2.0-thread-multi-LP64/auto/POSIX/POSIX.sl' for module POSIX: Unresolved external at /opt/perl_64/lib/5.8.8/PA-RISC2.0-thread-multi-LP64/XSLoader.pm line 64.
at /opt/perl_64/lib/5.8.8/PA-RISC2.0-thread-multi-LP64/POSIX.pm line 33
Compilation failed in require at blib/lib/Net/SSH.pm line 6.
BEGIN failed--compilation aborted at blib/lib/Net/SSH.pm line 6.
Compilation failed in require at test.pl line 11.
BEGIN failed--compilation aborted at test.pl line 11.
not ok 1
gmake: *** [test_dynamic] Error 215

Any suggestions as to how I can resolve this?

thanks
Mark
Think first, beer later.
6 REPLIES
Acclaimed Contributor Acclaimed Contributor

Re: Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

You need to make sure you have a newer dld patch: PHSS_22535 or newer
Occasional Advisor

Re: Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

Thanks for the suggestion. I have had the patch installed but unfortunately still get the same error message. The patch did not require a reboot, so I presume one is not required.
Think first, beer later.
Acclaimed Contributor Acclaimed Contributor

Re: Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

>I have had the patch installed but unfortunately still get the same error message. The patch did not require a reboot, so I presume one is not required.

Right, it shouldn't need a reboot.
I gave you the recommended patch but perhaps you need the most recent, PHSS_35385.
(Since there is a man page for it, it should be in some dld patch.)
Acclaimed Contributor Acclaimed Contributor

Re: Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

dladdr is also in PHSS_33035.
Honored Contributor Honored Contributor

Re: Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

Mark, for all of those *.sl files, make sure you that you have permission to "execute" them. From time to time, I've seen them delivered with no execute access on the files, or even rarer, improper access levels to the directories that house the .sl files.
We are the people our parents warned us about --Jimmy Buffett
Occasional Advisor

Re: Trying to build perl modules - getting unsatisfied code symbol 'dladdr'

I am trying this on a different server as I needed a reboot patch and the server I was trying to use ended up being difficult to arrange downtime on. Hopefully the new server will be OK. Thanks for the suggestions.
Mark
Think first, beer later.